Package org.eclipse.cdt.core.cdtvariables

# Interface IStorableCdtVariables

public interface IStorableCdtVariables
Public interface to access StorableCdtVariables class methods

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`contains(ICdtVariable var)`
`ICdtVariable`
`createMacro(String name, int type, String value)`
`ICdtVariable`
`createMacro(String name, int type, String[] value)`
`ICdtVariable`
`createMacro(ICdtVariable copy)`
`void`
`createMacros(ICdtVariable[] macros)`
`boolean`
`deleteAll()`
`ICdtVariable`
`deleteMacro(String name)`
`ICdtVariable`
`getMacro(String name)`
`ICdtVariable[]`
`getMacros()`
`boolean`
`isChanged()`
`boolean`
`isEmpty()`

## Method Details

### getMacro

ICdtVariable getMacro(String name)

### getMacros

ICdtVariable[] getMacros()

### deleteAll

boolean deleteAll()

### contains

boolean contains(ICdtVariable var)

### deleteMacro

ICdtVariable deleteMacro(String name)

### isChanged

boolean isChanged()

### createMacro

ICdtVariable createMacro(ICdtVariable copy)

### createMacro

ICdtVariable createMacro(String name, int type, String value)

### createMacro

ICdtVariable createMacro(String name, int type, String[] value)

### createMacros

void createMacros(ICdtVariable[] macros)

### isEmpty

boolean isEmpty()